/* Tags */
html,
body {
    min-height: 100%;
    height: auto;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.color {
    background: rgb(78, 118, 251);
    background: linear-gradient(90deg, rgba(78, 118, 251, 1) 0%, rgba(17, 210, 176, 1) 100%);
    color: #FFF;
}

.navbar-light .navbar-nav .nav-link:hover {
    color: rgb(218, 165, 32);
}

.header-site {
    position: relative;
    /* Necessário para o posicionamento absoluto do overlay */
    background-image: url("../img/imagem-topo-jpmizael-carvalho.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color: #FFF;
    padding: 300px 0;
    height: 100vh !important;
}

.header-site::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    /* Preto com 50% de opacidade */
    pointer-events: none;
    /* Permite interações com elementos abaixo do overlay */
    z-index: 1;
    /* Garante que o overlay fique acima do conteúdo do header */
}

.header-site * {
    position: relative;
    z-index: 2;
    /* Garante que o conteúdo fique acima do overlay */
}


.contato {
    background-image: url("../img/contato-jpmizaelcarvalho.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color: #343a40;
    padding: 300px 0;
}

.responsive {
    width: 100%;
    height: auto;
}

#response-message {
    text-align: center;
    margin-top: 20px;
    padding: 10px;
    font-weight: bold;
    color: #D63031;
}

.btn-outline-primary-custom {
    color: #343a40;
}

.btn-outline-primary-custom:hover {
    background-color: #343a40;
    color: #fff;
}

.btn-primary-custom {
    background: linear-gradient(90deg, rgba(78, 118, 251, 1) 0%, rgba(17, 210, 176, 1) 100%);
    color: #FFF;
}

.btn-primary-custom:hover {
    background: rgba(218, 165, 32);
    color: #fff;
}

.btn-secondary-custom {
    background: #343a40;
    color: #FFF;
}

.btn-secondary-custom:hover {
    background-color: #343a40;
    color: #fff;
}

.content-site {
    padding: 200px 0;
}

.contato {
    background-image: url("../img/contato-mpoint.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    color: #343a40;
    padding: 300px 0;
}

.success,
.error {
    text-align: center;
}

.success {
    color: greenyellow;
}

.error {
    color: #D63031;
}

.footer-site {
    background: rgb(78, 118, 251);
    background: linear-gradient(90deg, rgba(78, 118, 251, 1) 0%, rgba(17, 210, 176, 1) 100%);
    color: #fff;
    padding: 50px 0;
}

.fa {
    font-size: 30px;
    color: #fff;
    padding-bottom: 50px;
}

.fa:hover {
    font-size: 30px;
    color: rgba(255, 159, 64, 1);
    padding-bottom: 50px;
}

.politica {
    color: #fff;
    padding-bottom: 50px;
}

.politica:hover {
    color: rgba(255, 159, 64, 1);
    padding-bottom: 50px;
}

/*Galeria*/
.grid-gallery {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 50px 20px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-auto-rows: 250px;
    grid-auto-flow: dense;
    grid-gap: 20px;
}

.grid-gallery .grid-item {
    position: relative;
    background-color: #efefef;
    overflow: hidden;
}

.grid-gallery .grid-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.grid-gallery .grid-item:hover img {
    transform: scale(1.1);
}

.grid-gallery .grid-item a {
    cursor: zoom-in;
}

.grid-gallery .grid-item:nth-child(3n - 2) {
    grid-column: span 2;
    grid-row: span 2;
}

/* Let's make it responsive */
@media (max-width: 768px) {
    .grid-gallery {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        grid-auto-rows: 250px;
    }

    .grid-gallery .grid-item:nth-child(3n - 2) {
        grid-column: unset;
        grid-row: unset;
    }
}

.cookie-overlay {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: rgba(90, 100, 109, 0.9);
    padding: 10px 10px;
    box-sizing: border-box;
    overflow: hidden;
}

.cookie-content {
    max-width: 100%;
    margin: 0 auto;
    text-align: justify;
    color: #fff;
}

.cookie-content p {
    margin-bottom: 10px;
}

.pulse-button {
    display: block;
    position: fixed;
    bottom: 80px; /* Ajustar para não sobrepor a mensagem */
    right: 10px;
    width: 60px;
    height: 60px;
    border: none;
    border-radius: 50%;
    background-color: #8cba0f;
    background-image: url(../img/whatsapp.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    z-index: 9999; /* Manter este valor menor que o da mensagem */
    box-shadow: 0 0 0 0 rgba(140, 186, 15, 0.7);
    animation: pulse 1.25s infinite cubic-bezier(0.66, 0, 0, 1);
}


@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(140, 186, 15, 0.7);
    }

    70% {
        box-shadow: 0 0 0 15px rgba(140, 186, 15, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(140, 186, 15, 0);
    }
}

.pulse-button:hover {
    animation: none;
}

/* Animations */
[data-anima] {
    opacity: 0;
    transition: .9s;
}

[data-anima="ESQUERDA"] {
    transform: translateX(-50px);
}

[data-anima="DIREITA"] {
    transform: translateX(50px);
}

[data-anima="CENTRO"] {
    transform: translateY(50px);
}

[data-anima].animacao {
    opacity: 1;
    transform: translate3d(0, 0, 0);
}